add_subdirectory( queueview )
add_subdirectory( browser   )
add_subdirectory( bookmarks )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}/kftpgrabber/src
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src/misc
  ${CMAKE_BINARY_DIR}/kftpgrabber/src/ui
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### widgets (static)

tde_add_library( widgets STATIC_PIC AUTOMOC

  SOURCES
        logview.cpp
        kftpselectserverdialog.cpp
        kftpserverlineedit.cpp
        listview.cpp
        quickconnect.cpp
        systemtray.cpp
        balloon.cpp
        searchdialog.cpp
        kftpzeroconflistview.cpp
        trafficgraph.cpp
        kftptabwidget.cpp
        failedtransfers.cpp
        listviewitem.cpp
        sidebar.cpp
        multitabbar.cpp
        configdialog.cpp
        configfilter.cpp
        verifier.cpp
        filtereditor.cpp
        widgetlister.cpp
        overlaywidget.cpp
        popupmessage.cpp

  DEPENDENCIES kftpgrabbercore-static ui-static
)
